from haystack import indexes

from .models import Participation, Team, Video


class TeamIndex(indexes.ModelSearchIndex, indexes.Indexable):
    text = indexes.NgramField(document=True, use_template=True)

    class Meta:
        model = Team


class ParticipationIndex(indexes.ModelSearchIndex, indexes.Indexable):
    text = indexes.NgramField(document=True, use_template=True)

    class Meta:
        model = Participation


class VideoIndex(indexes.ModelSearchIndex, indexes.Indexable):
    text = indexes.NgramField(document=True, use_template=True)

    class Meta:
        model = Video
